# Extract BAM for IGV

> Author： Ren Luyao
>
> E-mail：18110700050@fudan.edu.cn
>
> Git: http://choppy.3steps.cn/renluyao/IGV_get_bam.git
>
> Last Updates: 2020/0705

## 安装指南

```
# 激活choppy环境
source activate choppy
# 安装app
choppy install renluyao/IGV_get_bam
```

## App概述

为了IGV验证突变，截取其中一段bam文件

## 流程与参数

```bash
samtools view -b ${bam} "${region}" > ${region}.${sample}.bam
samtools index ${region}.${sample}.bam
```

samples文件中的region格式如下：

```bash
#chromo:start-end
chr6:73900000-73920000
```

## App输出文件

输出结果为截取的bam文件和相应的bam索引文件